"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactI18next = require("react-i18next");
var _reactNative = require("react-native");
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _theme = require("../../contexts/theme");
var _testable = require("../../utils/testable");
var _Button = _interopRequireWildcard(require("../buttons/Button"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ProofCancelModal = _ref => {
  let {
    visible,
    onDone
  } = _ref;
  const {
    t
  } = (0, _reactI18next.useTranslation)();
  const {
    ColorPallet,
    TextTheme,
    Assets
  } = (0, _theme.useTheme)();
  const styles = _reactNative.StyleSheet.create({
    safeAreaView: {
      backgroundColor: ColorPallet.brand.modalPrimaryBackground,
      flex: 1
    },
    container: {
      flexGrow: 1,
      padding: 20
    },
    controlsContainer: {
      marginHorizontal: 20,
      marginBottom: 10
    },
    content: {
      justifyContent: 'space-around'
    },
    heading: {
      ...TextTheme.modalHeadingOne,
      marginTop: 60,
      marginBottom: 30,
      textAlign: 'center'
    },
    image: {
      alignSelf: 'center',
      marginBottom: 50
    },
    subtext: {
      ...TextTheme.modalNormal,
      fontSize: 22,
      textAlign: 'center'
    }
  });
  return /*#__PURE__*/React.createElement(_reactNative.Modal, {
    visible: visible,
    animationType: "slide"
  }, /*#__PURE__*/React.createElement(_reactNativeSafeAreaContext.SafeAreaView, {
    style: styles.safeAreaView
  }, /*#__PURE__*/React.createElement(_reactNative.ScrollView, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.content
  }, /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: styles.heading
  }, t('ProofRequest.NoInfoShared')), /*#__PURE__*/React.createElement(Assets.svg.noInfoShared, {
    style: styles.image,
    height: 200
  }), /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: styles.subtext
  }, t('ProofRequest.YourInfo')))), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.controlsContainer
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: {
      paddingTop: 10
    }
  }, /*#__PURE__*/React.createElement(_Button.default, {
    title: t('Global.Done'),
    accessibilityLabel: t('Global.Done'),
    testID: (0, _testable.testIdWithKey)('Done'),
    onPress: onDone,
    buttonType: _Button.ButtonType.ModalPrimary
  })))));
};
var _default = ProofCancelModal;
exports.default = _default;
//# sourceMappingURL=ProofCancelModal.js.map